
Redmine - Feature #13548

Remove wiki-page rendering in version roadmap page

2013-03-21 15:53 - Dipan Mehta

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The road-map shows all attributes as well as full wiki-pages of each version.

Every version has a default 'wiki-page' associated with it. Projects may maintain - latest updates, history, release notes, deployment

notes and so on in such wiki for every version.

Usually, wiki-pages are meant to be usually reasonably long compared to text fields. Hence, wiki-pages make the roadmap page

very lengthy. Also the headers (h1, h2 etc.) of wiki confuses with Roadmap's own outline.

I strongly suggest that wiki-page rendering should be removed from the Roadmap page. It can continue in versions' own page.

Related issues:

Related to Redmine - Feature #12789: Redmine - design study New

History

#1 - 2013-03-22 04:56 - Anonymous

I can see a reason for wanting this, but I think it'd be better to request a "Show on Roadmap" check box near the wiki field when configuring a version.

#2 - 2013-03-22 05:45 - Dipan Mehta

Joshua DeClercq wrote:

I can see a reason for wanting this, but I think it'd be better to request a "Show on Roadmap" check box near the wiki field when configuring a

version.

 Yes, that is a good idea. Alternatively, we can also add a button on the Roadmap page - 'show/hide wiki pages'. that affects all versions currently

displayed in the display.

I will try to see if I can add a patch on this.

#3 - 2013-04-11 14:27 - Toshi MARUYAMA

- Category set to Roadmap
